%bcond_without  dafsa

Name:           publicsuffix-list
Version:        20250616
Release:        %mkrel 1
Summary:        Cross-vendor public domain suffix database
Group:          Development/Java
License:        MPLv2.0
URL:            https://publicsuffix.org/
Source0:        https://publicsuffix.org/list/public_suffix_list.dat
Source1:        https://www.mozilla.org/media/MPL/2.0/index.txt
Source2:        https://github.com/publicsuffix/list/raw/master/tests/test_psl.txt

BuildArch:      noarch

%if %{with dafsa}
BuildRequires:  psl-make-dafsa
%endif


%description
The Public Suffix List is a cross-vendor initiative to provide
an accurate list of domain name suffixes, maintained by the hard work
of Mozilla volunteers and by submissions from registries.
Software using the Public Suffix List will be able to determine where
cookies may and may not be set, protecting the user from being
tracked across sites.

%if %{with dafsa}
%package dafsa
Summary:        Cross-vendor public domain suffix database in DAFSA form

%description dafsa
The Public Suffix List is a cross-vendor initiative to provide
an accurate list of domain name suffixes, maintained by the hard work 
of Mozilla volunteers and by submissions from registries.
Software using the Public Suffix List will be able to determine where 
cookies may and may not be set, protecting the user from being 
tracked across sites.

This package includes a DAFSA representation of the Public Suffix List
for runtime loading.
%endif


%prep
%setup -c -T
cp -av %{SOURCE0} .
cp -av %{SOURCE1} COPYING


%build
%if %{with dafsa}
LC_CTYPE=C.UTF-8 \
psl-make-dafsa --output-format=binary \
  public_suffix_list.dat public_suffix_list.dafsa
%endif


%install
%if %{with dafsa}
install -m 644 -p -D public_suffix_list.dafsa $RPM_BUILD_ROOT/%{_datadir}/publicsuffix/public_suffix_list.dafsa
%endif
install -m 644 -p -D %{SOURCE0} $RPM_BUILD_ROOT/%{_datadir}/publicsuffix/public_suffix_list.dat
install -m 644 -p -D %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/publicsuffix/test_psl.txt
ln -s public_suffix_list.dat $RPM_BUILD_ROOT/%{_datadir}/publicsuffix/effective_tld_names.dat


%files
%license COPYING
%dir %{_datadir}/publicsuffix
%{_datadir}/publicsuffix/effective_tld_names.dat
%{_datadir}/publicsuffix/public_suffix_list.dat
%{_datadir}/publicsuffix/test_psl.txt

%if %{with dafsa}
%files dafsa
%license COPYING
%dir %{_datadir}/publicsuffix
%{_datadir}/publicsuffix/public_suffix_list.dafsa
%endif


%changelog
* Thu Jun 19 2025 daviddavid <daviddavid> 20250616-1.mga10
+ Revision: 2192792
- new version: 20250616

* Mon Jan 20 2025 daviddavid <daviddavid> 20250116-1.mga10
+ Revision: 2139951
- new version: 20250116

* Sun Jan 14 2024 daviddavid <daviddavid> 20240107-1.mga10
+ Revision: 2031203
- new version: 20240107

* Mon Aug 28 2023 daviddavid <daviddavid> 20230812-1.mga10
+ Revision: 1980518
- update list to 20230812

* Mon Dec 12 2022 daviddavid <daviddavid> 20221208-1.mga9
+ Revision: 1920838
- new version: 20221208

* Mon Mar 21 2022 umeabot <umeabot> 20210806-2.mga9
+ Revision: 1814846
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 20210806-1.mga9
+ Revision: 1740279
- new version 20210806

* Fri May 21 2021 daviddavid <daviddavid> 20210518-1.mga9
+ Revision: 1726004
- new version: 20210518

* Wed Dec 02 2020 luigiwalser <luigiwalser> 20201130-1.mga8
+ Revision: 1651773
- new version 20201130

* Wed Feb 19 2020 umeabot <umeabot> 20200106-2.mga8
+ Revision: 1544539
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 daviddavid <daviddavid> 20200106-1.mga8
+ Revision: 1483209
- new version: 20200106

* Wed Apr 17 2019 daviddavid <daviddavid> 20190417-1.mga7
+ Revision: 1392032
- new version: 20190417

* Mon Jan 28 2019 daviddavid <daviddavid> 20190128-1.mga7
+ Revision: 1361748
- new version: 20190128

* Wed Oct 10 2018 wally <wally> 20181003-1.mga7
+ Revision: 1319361
- new version 20181003

* Thu Sep 20 2018 umeabot <umeabot> 20180823-2.mga7
+ Revision: 1288132
- Mageia 7 Mass Rebuild

* Sun Sep 09 2018 wally <wally> 20180823-1.mga7
+ Revision: 1257905
- new version 20180823

* Wed May 23 2018 daviddavid <daviddavid> 20180514-1.mga7
+ Revision: 1231759
- new version: 20180514

* Wed May 02 2018 daviddavid <daviddavid> 20180419-1.mga7
+ Revision: 1224456
- new version: 20180419

* Thu Mar 29 2018 daviddavid <daviddavid> 20180328-1.mga7
+ Revision: 1213267
- new version: 20180328

* Sat Jan 20 2018 wally <wally> 20180111-1.mga7
+ Revision: 1195159
- new version 20180111

* Sat Nov 11 2017 wally <wally> 20171028-1.mga7
+ Revision: 1176939
- new version 20171028

* Mon Oct 16 2017 wally <wally> 20170910-1.mga7
+ Revision: 1172278
- new version 20170910

* Wed Oct 11 2017 wally <wally> 20170828-2.mga7
+ Revision: 1170951
- enable dafsa build

* Fri Oct 06 2017 daviddavid <daviddavid> 20170828-1.mga7
+ Revision: 1169405
- new version: 20170828

* Sun Jan 01 2017 daviddavid <daviddavid> 20161028-1.mga6
+ Revision: 1079252
- new version: 20161028

* Fri Aug 12 2016 daviddavid <daviddavid> 20160713-1.mga6
+ Revision: 1046052
- new version: 20160713

* Fri Mar 25 2016 daviddavid <daviddavid> 20160323-1.mga6
+ Revision: 995491
- new version: 20160323

* Mon Feb 08 2016 daviddavid <daviddavid> 20160206-1.mga6
+ Revision: 945959
- new version: 20160206

* Fri Dec 11 2015 daviddavid <daviddavid> 20151208-1.mga6
+ Revision: 909426
- new version: 20151208

* Wed Nov 11 2015 daviddavid <daviddavid> 20150831-1.mga6
+ Revision: 902637
- mageiaify spec file
- imported package publicsuffix-list


* Tue Sep  1 2015 Yanko Kaneti <yaneti@declera.com> - 20150831-1
- The latest revision - 20150831
- Add test data - bug 1251921

* Mon Aug  3 2015 Yanko Kaneti <yaneti@declera.com> - 20150731-1
- The latest revision - 20150731
- Move to the new upstream filename. Install a compat symlink for now

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20150506-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May  7 2015 Yanko Kaneti <yaneti@declera.com> - 20150506-1
- The latest revision - 20150506

* Thu Apr 30 2015 Yanko Kaneti <yaneti@declera.com> - 20150430-1
- The latest revision - 20150430

* Tue Apr  7 2015 Yanko Kaneti <yaneti@declera.com> - 20150407-1
- The latest revision - 20150407

* Sat Apr  4 2015 Yanko Kaneti <yaneti@declera.com> - 20150404-1
- The latest revision - 20150404

* Thu Feb 26 2015 Yanko Kaneti <yaneti@declera.com> - 20150226-1
- The latest revision - 20150226

* Wed Feb 18 2015 Yanko Kaneti <yaneti@declera.com> - 20150217-1
- The latest revision - 20150217

* Thu Feb  5 2015 Yanko Kaneti <yaneti@declera.com> - 20150204-1
- The latest revision - 20150204

* Tue Dec 30 2014 Yanko Kaneti <yaneti@declera.com> - 20141230-1
- Initial version for review - 20141124-1
- Today's revision. Add license file - 20141218-1
- Today's revision - 20141223-1
- Today's revision - 20141230-1
